GroovyPosixContext (Groovy 5.0.0)

Package: org.apache.groovy.groovysh.jline

## [Groovy] Class GroovyPosixContext

- org.apache.groovy.groovysh.jline.GroovyPosixContext

-     class GroovyPosixContext
      extends org.jline.builtins.PosixCommands$Context

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Path` | `currentDir`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyPosixContext(InputStream inputStream, PrintStream out, PrintStream err, Path currentDir, org.jline.terminal.Terminal terminal, Function<String, Object> variables)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Path` | `currentDir()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.jline.builtins.PosixCommands$Context` | `org.jline.builtins.PosixCommands$Context#currentDir(), org.jline.builtins.PosixCommands$Context#equals(java.lang.Object), org.jline.builtins.PosixCommands$Context#err(), org.jline.builtins.PosixCommands$Context#get(java.lang.String), org.jline.builtins.PosixCommands$Context#getClass(), org.jline.builtins.PosixCommands$Context#hashCode(), org.jline.builtins.PosixCommands$Context#in(), org.jline.builtins.PosixCommands$Context#isTty(), org.jline.builtins.PosixCommands$Context#notify(), org.jline.builtins.PosixCommands$Context#notifyAll(), org.jline.builtins.PosixCommands$Context#out(), org.jline.builtins.PosixCommands$Context#terminal(), org.jline.builtins.PosixCommands$Context#toString(), org.jline.builtins.PosixCommands$Context#wait(), org.jline.builtins.PosixCommands$Context#wait(long), org.jline.builtins.PosixCommands$Context#wait(long, int)`

- - ### Property Detail

    - #### Path currentDir

  - ### Constructor Detail

    - #### GroovyPosixContext(InputStream inputStream, PrintStream out, PrintStream err, Path currentDir, org.jline.terminal.Terminal terminal, Function<String, Object> variables)

  - ### Method Detail

    - #### Path currentDir()